BoostAttributeImpl (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: BoostAttributeImpl

Package org.apache.lucene.search

# Class BoostAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.search.BoostAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `BoostAttribute`, `Attribute`

public final class BoostAttributeImpl extends AttributeImpl implements BoostAttribute
Implementation class for `BoostAttribute`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.search.BoostAttribute

  `DEFAULT_BOOST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoostAttributeImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clears the values in this AttributeImpl and resets it to its default value.
  `void`
  `copyTo(AttributeImpl target)`
  Copies the values from this Attribute into the passed-in target attribute.
  `float`
  `getBoost()`
  Retrieves the boost, default is `1.0f`.
  `void`
  `reflectWith(AttributeReflector reflector)`
  This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
  `void`
  `setBoost(float boost)`
  Sets the boost in this attribute

  ### Methods inherited from class org.apache.lucene.util.AttributeImpl

  `clone, end, reflectAsString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoostAttributeImpl

    public BoostAttributeImpl()

- ## Method Details

  - ### setBoost

    public void setBoost(float boost)
    Description copied from interface: `BoostAttribute`
    Sets the boost in this attribute
    Specified by:
      `setBoost` in interface `BoostAttribute`

  - ### getBoost

    public float getBoost()
    Description copied from interface: `BoostAttribute`
    Retrieves the boost, default is `1.0f`.
    Specified by:
      `getBoost` in interface `BoostAttribute`

  - ### clear

    public void clear()
    Description copied from class: `AttributeImpl`
    Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
    Specified by:
      `clear` in class `AttributeImpl`

  - ### copyTo

    public void copyTo(AttributeImpl target)
    Description copied from class: `AttributeImpl`
    Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
    Specified by:
      `copyTo` in class `AttributeImpl`

  - ### reflectWith

    public void reflectWith(AttributeReflector reflector)
    Description copied from class: `AttributeImpl`
    This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

    Implementations look like this (e.g. for a combined attribute implementation):

           public void reflectWith(AttributeReflector reflector) {
             reflector.reflect(CharTermAttribute.class, "term", term());
             reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
           }

    If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

    Specified by:
      `reflectWith` in class `AttributeImpl`
    See Also:
      - `AttributeImpl.reflectAsString(boolean)`